@font-face {
    font-family: "interface";
    src: url(../fonts/AUTHENTICSans-90.woff);
}

@font-face {
    font-family: "body";
    src: url(../fonts/Charis-Regular.woff2);
}

:root {
    --primary-color: #990099;
    --secondar-color: #0093ff;
    --color-primary-text: #010101;
    --color-secondary-text: #444;
    --color-border: #999999;
    --background-color: #eee;
}

html {
    font-size: 16pt;
    scroll-behavior: smooth;
}

body {
    color: var(--color-primary-text);
    font-family: body;
    letter-spacing: 0.01ch;
    line-height: 1.4em;
    max-width: 1200px;
    margin: 0 auto;
    padding: 1em 2em;
    background-color: var(--background-color);
}

main {
    flex-grow: 1;
    margin: 0;
}

article {
    max-width: 70ch;
}

div {
    &.container {
        display: flex;
        flex-direction: column;
        min-height: calc(100svh - 2em);
    }
}

img {
    height: auto;
    max-width: 100%;
    vertical-align: top;
}

button,
input,
select,
textarea {
    font: inherit;
}

a {
    color: var(--color-primary-text);

    &:hover {
        color: var(--color-primary-text);
    }

    &:active {
        color: var(--color-primary-text);
    }

    &:focus {
        color: var(--color-primary-text);
        outline: var(--color-primary-text);
    }

    .kg-button-card & {
        &.kg-btn,
        &.kg-btn-accent {
            font-family: interface, sans-serif !important;
            font-size: 0.8em !important;
            border: 1px solid var(--color-border);
            display: inline-block;
            line-height: 1em;
            padding: 0.75em 0.5em 0.65em 0.5em;
            margin: 0.5em 0;
            text-decoration: none;
            font-family: interface;
            background: none !important;
            border-radius: 0 !important;
            color: var(--color-secondary-text) !important;
        }
    }
}

p:last-of-type {
    margin-bottom: 1em;
}

p,
ul,
ol,
dl,
pre {
    margin-top: 1em;
}

blockquote,
figure,
hr,
pre,
table {
    margin: 1em 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--color-primary-text);
    line-height: 1em;
    margin-top: 1em;
    font-family: interface, sans-serif;
}

h1 {
    font-size: 1.75em;
    margin-top: 0;
    line-height: 1.5em;
}

ul,
ol {
    &>li {
        list-style: inherit;
        margin-top: 0.25em;
    }
}

hr,
.separator {
    background: none;
    border: none;
    height: auto;
    line-height: 1;
    max-width: none;
    text-align: center;

    &::before {
        content: "***";
        color: var(--color-primary-text);
        font-size: 1.265625rem;
        letter-spacing: 1.265625rem;
        padding-left: 1.265625rem;
    }
}

[type=button],
[type=submit],
button {
    border-radius: none;
    cursor: pointer;
    vertical-align: top;
    text-align: center;
}

header#header {
    align-items: baseline;
    display: flex;
    margin: 1em 0 2em 0;
    position: relative;
    justify-content: space-between;
    font-family: interface, sans-serif;
    font-size: 1.4em;

    .logo a {
        display: block;
        text-decoration: none;
    }

    nav {
        order: 3;
        position: relative;

        ul {
            display: flex;
            list-style: none;
            margin: 0;
            padding: 0;
            font-size: 1rem;

            li {
                display: block;
                padding: 0;
                position: relative;
                white-space: nowrap;
                text-align: right;

                a {
                    display: block;
                    padding: 0 0 0 1.5em;
                    cursor: pointer;
                    text-decoration: none;

                    &:active,
                    &:focus,
                    &:hover {
                        color: var(--color-primary-text);
                        outline: none;
                        text-decoration: underline;
                    }

                }
            }

        }

    }

}

footer {
    font-size: 0.8em;
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    margin-top: 2em;
    padding-top: 1em;
    border-top: solid 2px #ddd;
}


article#home {
    display: flex;
    flex-direction: row;
    max-width: 100%;

    figure {
        max-width: 60%;
        margin-left: 2em;

        img {
            border: 4px solid #ccc;
        }
    }

    section {
        max-width: 40%;
    }
}
